Bug 1421858 - Review Request: flannel-container - system container for flannel
Summary: Review Request: flannel-container - system container for flannel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomas Tomecek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2017-02-13 21:17 UTC by Yu Qi Zhang
Modified: 2017-02-24 17:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 17:08:18 UTC
Type: ---
ttomecek: fedora-review+


Attachments (Terms of Use)

Description Yu Qi Zhang 2017-02-13 21:17:27 UTC
Dockerfile URL: https://github.com/projectatomic/atomic-system-containers/blob/master/flannel/Dockerfile

Source: https://github.com/projectatomic/atomic-system-containers/tree/master/flannel

Description: 
flannel is an etcd driven virtual network that gives a subnet to each host for use with container runtimes. This package is intended to be ran as a system container.

More information on system containers here: http://www.projectatomic.io/blog/2016/09/intro-to-system-containers/
A quick guide: https://github.com/yuqi-zhang/atomic-system-containers-quickstart

Fedora Account System Username: yzhang

Comment 1 Tomas Tomecek 2017-02-15 13:02:01 UTC
https://github.com/projectatomic/atomic-system-containers/blob/master/flannel/Dockerfile#L1
> FROM fedora

Please pin to a specific fedora version, as described in guidelines.

https://fedoraproject.org/wiki/Container:Guidelines#CMD_.2F_ENTRYPOINT


https://github.com/projectatomic/atomic-system-containers/blob/master/flannel/Dockerfile#L5
> ENV container=docker
> ENV FLANNELD_ETCD_ENDPOINTS="http://127.0.0.1:2379"
> ...

Chain these, so they are within a single instruction. LABEL on line 10 does it right.


It would also be great to have some documentation inside container how should one use it.


Anyway, well done. I haven't found any serious issues.

Comment 2 Yu Qi Zhang 2017-02-16 20:32:54 UTC
Thanks! The fixes to the above highlighted issues have been merged. PTAL.

Comment 3 Tomas Tomecek 2017-02-17 13:33:37 UTC
LGTM

Comment 4 container-review 2017-02-21 23:27:20 UTC
Sponsored.

Comment 5 Gwyn Ciesla 2017-02-22 16:56:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/docker/flannel


Note You need to log in before you can comment on or make changes to this bug.